Page MenuHomePhabricator

"Enable enhanced editing toolbar" preference not respected
Closed, ResolvedPublic

Description

  1. Login in translatewiki.net, currently at 1.24alpha (4621994)
  2. Set "Enable enhanced editing toolbar" false at Special:Preferences
  3. Open any page for editing

I) Observed: the advanced/enhanced toolbar is shown.
II) Expected: the old toolbar is.

The console shows this error, no idea if related:

"TypeError: localStorage is null" TypeError: localStorage is null
Stack trace:
mw.loader</<.store.init@https://translatewiki.net/w/load.php?debug=false&lang=it&modules=jquery%2Cmediawiki%7Ctwn.jserrorlog&only=scripts&skin=monobook&version=20140515T054706Z:165
mw.loader</<.work@https://translatewiki.net/w/load.php?debug=false&lang=it&modules=jquery%2Cmediawiki%7Ctwn.jserrorlog&only=scripts&skin=monobook&version=20140515T054706Z:158
request@https://translatewiki.net/w/load.php?debug=false&lang=it&modules=jquery%2Cmediawiki%7Ctwn.jserrorlog&only=scripts&skin=monobook&version=20140515T054706Z:157
mw.loader</<.load@https://translatewiki.net/w/load.php?debug=false&lang=it&modules=jquery%2Cmediawiki%7Ctwn.jserrorlog&only=scripts&skin=monobook&version=20140515T054706Z:163
@https://translatewiki.net/w/i.php?title=User:Nemo_bis&action=edit:34


Version: master
Severity: normal

Details

Reference
bz65331

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:11 AM
bzimport added a project: WikiEditor.
bzimport set Reference to bz65331.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.May 15 2014, 5:54 AM
TheDJ added a comment.May 15 2014, 9:54 AM

Might be related to this:
https://gerrit.wikimedia.org/r/#/c/132601/

The error is not related, it's just module store complaining that you disabled localStorage.

Change 133438 had a related patch set uploaded by TheDJ:
Revert "Make the toolbar and dialogs enabled by default."

https://gerrit.wikimedia.org/r/133438

Change 133438 merged by jenkins-bot:
Revert "Make the toolbar and dialogs enabled by default."

https://gerrit.wikimedia.org/r/133438

Thanks. I had also tried reversing the checkbox selection but that wasn't the culprit. The good thing is that this back and forth doesn't seem to have reset user preferences as a change of $wgDefaultUserOptions would.

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:11 AM